import { EventData, LayoutBase, ViewBase } from '@nativescript/core';
import { Canvas } from '../Canvas';
declare enum State {
    None = 0,
    Pending = 1,
    Invalidating = 2
}
export declare class Dom extends LayoutBase {
    _canvas: Canvas;
    _children: any[];
    _raf: any;
    _state: State;
    _isReady: boolean;
    _onFrameCallback?: (frame: number) => void;
    constructor();
    createNativeView(): Object;
    initNativeView(): void;
    onLoaded(): void;
    onUnloaded(): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    set onFrameCallback(value: (frame: number) => void | null);
    _ready(args: EventData): void;
    _draw(ts: any): void;
    _bindRaf(): void;
    _dirty(): void;
    _addViewToNativeVisualTree(view: ViewBase, atIndex?: number): boolean;
}
export {};
